Katello - Bug #6339

service katello-jobs missing while installing 1.5 nightly
06/23/2014 02:01 PM - Jorick Astrego

Status: Closed

Priority: Normal

Assignee:

Category: Installer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The katello jobs service and | see it's getting removed (http://projects.theforeman.org/issues/6297), but now the installer fails...

/Stage[main] /Katello::Service/Service[katello-jobs]/ensure: change from stopped to running failed:
Could not start Servicel[katello-jobs]: Execution of '/usr/share/katello-installer/modules/service
_wait/bin/service-wait katello-jobs start' returned 1: at /usr/share/katello-installer/modules/ka
tello/manifests/service.pp:12
/Stage[main] /Foreman: :Database/Foreman: :Rake [db:seed] /Exec[foreman-rake-db:seed]: Failed to call
refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0] at /usr/share/katello-ins
taller/modules/foreman/manifests/rake.pp:9

[ WARN 2014-06-23 15:55:22 main] /Stage[main])/Foreman::Service/Service[foreman]: Dependency Service[katello-jobs] has
failures: true

[ WARN 2014-06-23 15:55:22 main] /Stage[main])/Foreman::Service/Service[foreman]: Skipping because of failed dependencies
[DEBUG 2014-06-23 15:55:22 main] Service[foreman](provider=service_wait): Executing
'lusr/share/katello-installer/modules/service_wait/bin/service-wait foreman status'

[DEBUG 2014-06-23 15:55:22 main] /Stage[main]/Foreman::Service/Service[foreman]: Skipping restart; service is not running

[ WARN 2014-06-23 15:55:22 main] /Stage[main]/Foreman::Service/Service[foreman]: Triggered 'refresh’ from 1 events

[DEBUG 2014-06-23 15:55:22 main] /Stage[main])/Foreman::Service/Service[foreman]: The container Class[Foreman::Service] will
propagate my refresh event

[ WARN 2014-06-23 15:55:22 main] /Stage[main])/Foreman::Service/Exec|restart_foreman]: Dependency Service[katello-jobs] has
failures: true

[ WARN 2014-06-23 15:55:22 main] /Stage[main])/Foreman::Service/Exec[restart_foreman]: Skipping because of failed
dependencies

[DEBUG 2014-06-23 15:55:22 main] Exec[restart_foreman](provider=posix): Executing '/bin/touch /usr/share/foreman/tmp/restart.ixt'
[DEBUG 2014-06-23 15:55:22 main] Executing '/bin/touch /usr/share/foreman/tmp/restart.txt'

[ WARN 2014-06-23 15:55:23 main] /Stage[main])/Foreman::Service/Exec[restart_foreman]: Triggered 'refresh' from 1 events
[DEBUG 2014-06-23 15:55:23 main] /Stage[main]/Foreman::Service/Exec[restart_foreman]: The container Class[Foreman::Service]
will propagate my refresh event

[DEBUG 2014-06-23 15:55:23 main] Class[Foreman::Service]: The container Stage[main] will propagate my refresh event

[ WARN 2014-06-23 15:55:23 main] /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]: Dependency Service[katello-jobs]
has failures: true

[ WARN 2014-06-23 15:55:23 main] /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]: Skipping because of failed
dependencies

[DEBUG 2014-06-23 15:55:23 main] Class[Certs::Foreman]: The container Stage[main] will propagate my refresh event

[ WARN 2014-06-23 15:55:23 main] /Stage[main])/Foreman_proxy::Register/Foreman_smartproxy[deploy01.netbulae.mgmt]:
Dependency Service[katello-jobs] has failures: true

[ WARN 2014-06-23 15:55:23 main] /Stage[main])/Foreman_proxy::Register/Foreman_smartproxy[deploy01.netbulae.mgmt]:
Skipping because of failed dependencies

History

#1 - 06/23/2014 07:58 PM - Justin Shetrill

| am not able to reproduce this issue on nightly with rhel 6 and centos 6. If you are able to reproduce, feel free to ping us on IRC in #katello or
#theforeman or reopen this issue with a foreman-debug attached.

Thanks.
http://projects.theforeman.org/issues/6297

#2 - 06/23/2014 08:01 PM - Justin Sherrill

- Status changed from New to Closed

#3 - 06/24/2014 12:44 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 07/07/2014 07:33 AM - Eric Helms

- Target version set to 48

05/17/2024

22


http://www.tcpdf.org

